RK-J - Feature #2887

Create Chrome browser extension for Youtube pages
02/16/2023 05:45 AM - Ram Kordale

Status: Closed Start date: 02/16/2023
Priority: Urgent Due date: 02/16/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 1.00 hour
Description

This is the first task for a new product based on browser extension. Need a simple chrome extension that does the following while on
just one site - namely, youtube.com: 1. extract URL U of the current page. 2. make a call to a site with U as input. This will return
list[s, list[sh,u]]. u is a url. Example output: s1.,[sh11,u11],[sh12,u12, [s2,[sh21,u21]], [s3,[sh31,u31],[sh32,u32],[sh33,u33]]]. 3. If the
list is not null, show each of these in different lines as shown below either (a) between video description and comments on the same
page or (b) in a very simple GUI modal. Clicking on u should open a chrome/window tab with that URL u.

Please put the following in a purple box.
List:

-s1
--sh11:ut1
--sh12:u12
-s2

-- sh21: u21
-s3

-- sh31: u31
-- sh32: u32
-- sh33: u33

Some notes:

- Minimize the size of the extension.

- Minimize access permissions required.

- Should take minimal resources and run in the background and show results only when available.
- Based on mv3 (https:/developer.chrome.com/docs/extensions/mv3/intro/)

- Please provide instructions to edit, build and upload to Chrome Web Store.

History

#1 - 02/16/2023 06:01 AM - Ayush Khandelwal
- Due date set to 02/16/2023
- Status changed from New to In Progress

- Estimated time set to 1.00 h

#2 - 02/16/2023 08:26 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 03/24/2023 12:49 PM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

#4 - 03/28/2023 11:21 AM - Ram Kordale
- Status changed from Feedback to Closed
https://971073.fuegjy.asia/projects/rk-j/wiki/S1%5Bsh11u11%5D%5Bsh12u12
https://developer.chrome.com/docs/extensions/mv3/intro/
http://www.tcpdf.org

